db_type.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef int32_t | db_type_int32_t
typedef uint32_t | db_type_uint32_t
typedef int64_t | db_type_int64_t
typedef uint64_t | db_type_uint64_t

## Enumerations

enum | db_type_t { DB_TYPE_EMPTY , DB_TYPE_PRIMARY_KEY , DB_TYPE_INT32 , DB_TYPE_UINT32 , DB_TYPE_INT64 , DB_TYPE_UINT64 , DB_TYPE_TEXT , DB_TYPE_ENUM , DB_TYPE_ANY , DB_TYPE_REVISION }

## Typedef Documentation

## db_type_int32_t

typedef int32_t db_type_int32_t

A signed 32bit integer.

Definition at line 38 of file db_type.h.

## db_type_int64_t

typedef int64_t db_type_int64_t

A signed 64bit integer.

Definition at line 46 of file db_type.h.

## db_type_uint32_t

typedef uint32_t db_type_uint32_t

An unsigned 32bit integer.

Definition at line 42 of file db_type.h.

## db_type_uint64_t

typedef uint64_t db_type_uint64_t

An unsigned 64bit integer.

Definition at line 50 of file db_type.h.

## Enumeration Type Documentation

## db_type_t

enum db_type_t

The type of a database value.

Enumerator
DB_TYPE_EMPTY | No value, empty, not set.
DB_TYPE_PRIMARY_KEY | This will make the value a primary key / ID that can be any type.
DB_TYPE_INT32 | A db_type_int32_t.
DB_TYPE_UINT32 | A db_type_uint32_t.
DB_TYPE_INT64 | A db_type_int64_t.
DB_TYPE_UINT64 | A db_type_uint64_t.
DB_TYPE_TEXT | A null terminated character string.
DB_TYPE_ENUM | A enumerate value that can be represented as an integer or string.
DB_TYPE_ANY | This can be any type, primarily used for ID fields.
DB_TYPE_REVISION | This is a special revision type that can be used to track revisions of objects and only do changes against the current revision and in so will fail if someone else has changed the object. The revision type can be any type.

Definition at line 54 of file db_type.h.